### Function

# GLib PathBuf equal

since: 2.76

#### Declaration

    gboolean
    g_path_buf_equal (
      gconstpointer v1,
      gconstpointer v2
    )

#### Description

Compares two path buffers for equality and returns `TRUE` if they are equal.

The path inside the paths buffers are not going to be normalized, so `X/Y/Z/A/..`, `X/./Y/Z` and `X/Y/Z` are not going to be considered equal.

This function can be passed to `g_hash_table_new()` as the `key_equal_func` parameter.

Available since: 2.76

#### Parameters

`v1`

  Type: `gconstpointer`

  A path buffer to compare.

  The data is owned by the caller of the function.

`v2`

  Type: `gconstpointer`

  A path buffer to compare.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the two path buffers are equal, and `FALSE` otherwise.